Bug 973544 - [EAP610 development guide translation to Japanese] 14.2.7. Java Authentication and Authorization Service (JAAS)
[EAP610 development guide translation to Japanese] 14.2.7. Java Authenticatio...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jito
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 04:08 EDT by Hisanobu Okuda
Modified: 2013-06-18 20:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 11864, Development Guide-6.1-3 Build Date: 23-05-2013 03:02:03 Topic ID: 29196-437514 [Specified]
Last Closed: 2013-06-18 20:43:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisanobu Okuda 2013-06-12 04:08:41 EDT
Title: Java 認証承認サービス (JAAS)

Describe the issue:
1)
Java 認証承認サービス (JAAS) は、ユーザーの認証や承認向けに設計された Java パッケージで構成されるセキュリティー API です。API は標準的なプラグ可能認証モジュール (PAM) フレームワークの Java 実装です。Java Enterprise Edition のアクセス制御アーキテクチャーを拡張し、ユーザーベースの承認をサポートします。

2)
アプリケーションを変更せずに基礎となるセキュリティー構造を変更することが可能です。JAAS の設定のみを変更する必要があります。

Suggestions for improvement:

1)
Java Authentication and Authorization Service (JAAS) は、ユーザーの認証や承認向けに設計された Java パッケージで構成されるセキュリティー API です。API は標準的なプラグ可能認証モジュール (PAM) フレームワークの Java 実装です。Java Enterprise Edition のアクセス制御アーキテクチャーを拡張し、ユーザーベースの承認をサポートします。

2)
アプリケーションを変更せずに、JAAS の設定を変更するだけで基礎となるセキュリティー構造を変更することが可能です。

訳注) title も Java Authentication and Authorization Service (JAAS) のままで OK です。

Additional information:
Comment 1 Hisanobu Okuda 2013-06-12 04:15:42 EDT
3)
EJB は既にサーバーにデプロイされ、EJBHome インターフェースメソッドは ejb-jar.xml 記述子の <method-permission> 要素を使用して安全な状態になっています。

EJB は既にサーバーにデプロイされ、EJBHome インターフェースメソッドは ejb-jar.xml 記述子の <method-permission> 要素を使用してセキュアな状態になっています。
Comment 2 Hisanobu Okuda 2013-06-12 04:32:52 EDT
4)
セキュリティードメインはログインモジュールの選択を完全に決定しません。セキュリティードメインの名前はログイン設定エントリー名として LoginContext コンストラクターへ渡されます。

セキュリティードメインはログインモジュールの選択を決定します。セキュリティードメインの名前はログイン設定エントリー名として LoginContext コンストラクターへ渡されます。
Comment 3 jito 2013-06-17 01:16:37 EDT
Development Guide 6.1 has not yet published.  The fixes will be made for 6.0
Comment 4 jito 2013-06-17 01:46:45 EDT
Made corrections according to the suggested translation.  Will be fixed for the next release.
Comment 5 jito 2013-06-17 21:32:23 EDT
The same corrections made for 6.1, which has not been puslished.

Note You need to log in before you can comment on or make changes to this bug.